/* ========================================
 *  Desk - Desk.h
 *  Copyright (c) 2016 airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "Desk.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::Desk {

Desk::Desk()
{
	lastSampleL = 0.0;
	lastOutSampleL = 0.0;
	lastSlewL = 0.0;
	lastSampleR = 0.0;
	lastOutSampleR = 0.0;
	lastSlewR = 0.0;
	fpdL = 1; while (fpdL < 16386) fpdL = rand()*UINT32_MAX;
	fpdR = 1; while (fpdR < 16386) fpdR = rand()*UINT32_MAX;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

int Desk::getParameterCount() const
{
	return kNumParameters;
}

void Desk::setParameter(int /*index*/, float /*value*/) {
}

float Desk::getParameter(int /*index*/) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void Desk::getParameterName(int /*index*/, char */*text*/) {
}

void Desk::getParameterDisplay(int /*index*/, char */*text*/) {
}

void Desk::getParameterLabel(int /*index*/, char */*text*/) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
